services:
  ble-ai-localizer:
    build: .
    image: ble-ai-localizer:0.1.0
    environment:
      CONFIG: "/config/config.yaml"        # Nome usato da main.py
      SECRETS_FILE: "/config/secrets.yaml"
      UI_USER: "Admin"
      UI_PASSWORD: "pwdadmin1"
      STREAMLIT_SERVER_RUN_ON_SAVE: "false"
      STREAMLIT_SERVER_FILE_WATCHER_TYPE: "none"
    restart: always
    ports:
      - "8501:8501"
    volumes:
      - ./config:/config       # Rimosso :ro per permettere il salvataggio
      - ./data:/data
      - ./models:/models
      - ./tmp:/tmp
    command: streamlit run app/web_suite.py --server.address=0.0.0.0
